# OrderBy Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Inheritance diagram for OrderBy:
[legend]

List of all members.

## Public Member Functions

| __construct ($field)
| __clone ()
| setDirection ($direction)
| desc ()
| asc ()
| isAsc ()
| nullsFirst ()
| nullsLast ()
| isNullsFirst ()
| setNullsFirst ($nullsFirst)
| invert ()
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toDialectString (Dialect $dialect)
| getFieldName ()

## Static Public Member Functions

static | create ($field)

## Private Attributes

| $direction = null
| $nulls = null

## Detailed Description

Definition at line 16 of file OrderBy.class.php.

## Constructor & Destructor Documentation

OrderBy::__construct | ( | $ | field | ) |

Definition at line 29 of file OrderBy.class.php.

References FieldTable::$field.

## Member Function Documentation

OrderBy::__clone | ( |  | ) |

Definition at line 37 of file OrderBy.class.php.

OrderBy::asc | ( |  | ) |

Returns:
  OrderBy

Definition at line 64 of file OrderBy.class.php.

Referenced by invert().

static OrderBy::create | ( | $ | field | ) | `[static]`

Returns:
  OrderBy

Definition at line 24 of file OrderBy.class.php.

References FieldTable::$field.

Referenced by DaoMoveHelper::down(), toMapped(), and DaoMoveHelper::up().

OrderBy::desc | ( |  | ) |

Returns:
  OrderBy

Definition at line 55 of file OrderBy.class.php.

Referenced by invert().

OrderBy::getFieldName | ( |  | ) |

Definition at line 151 of file OrderBy.class.php.

OrderBy::invert | ( |  | ) |

Returns:
  OrderBy

Definition at line 110 of file OrderBy.class.php.

References asc(), desc(), and isAsc().

Here is the call graph for this function:

OrderBy::isAsc | ( |  | ) |

Definition at line 70 of file OrderBy.class.php.

Referenced by invert().

OrderBy::isNullsFirst | ( |  | ) |

Definition at line 93 of file OrderBy.class.php.

OrderBy::nullsFirst | ( |  | ) |

Returns:
  OrderBy

Definition at line 78 of file OrderBy.class.php.

OrderBy::nullsLast | ( |  | ) |

Returns:
  OrderBy

Definition at line 87 of file OrderBy.class.php.

OrderBy::setDirection | ( | $ | direction | ) |

Returns:
  OrderBy

Definition at line 46 of file OrderBy.class.php.

References $direction.

OrderBy::setNullsFirst | ( | $ | nullsFirst | ) |

Returns:
  OrderBy

Definition at line 101 of file OrderBy.class.php.

OrderBy::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 134 of file OrderBy.class.php.

OrderBy::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  OrderBy

Implements MappableObject.

Definition at line 121 of file OrderBy.class.php.

References create(), and ProtoDAO::guessAtom().

Here is the call graph for this function:

## Member Data Documentation

OrderBy::$direction = null`[private]`

Definition at line 18 of file OrderBy.class.php.

Referenced by setDirection().

OrderBy::$nulls = null`[private]`

Definition at line 19 of file OrderBy.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/OrderBy.class.php